Subject: Re: bug#25166: 26.0.50; It shouldn't be possible to set the function cell of nil and t

From: Glenn Morris <[email-masked]>
Date: Sun, 11 Dec 2016 13:38:57 -0500

Philipp wrote:

> You can set the function cell of nil and t using `fset' and friends.
> But you can't call the `nil' function using (nil) (it does work with
> (t)).  I think that attempting to set the function cell of nil and t is
> almost always a bug -- probably the programmer wanted to set a real
> symbol, but some of the constants got passed.  I propose to signal an
> error (e.g. `setting-constant') whenever the function cell of nil and t
> is modified; maybe the same should happen for keywords.

I just did this yesterday...
See https://debbugs.gnu.org/25110, ba8e883, and 3fd4433.